Skip to main content
GET
List Discovery Tasks

Overview

This endpoint returns paginated Deep Search tasks with their current statuses.

Example request

Key parameters

  • offset (optional): Pagination offset.
  • limit (optional): Page size.

Success signal

A successful response returns a paginated list of tasks with id, status, and progress counters.

Common errors

401 Unauthorized

Check that your header is Authorization: Bearer ${EXTRUCT_API_TOKEN}.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

offset
integer | null
limit
integer | null

Response

Successful Response

id
string
required
created_at
string<date-time>
required
status
enum<string>
required
Available options:
created,
in_progress,
done,
failed
query
string
required
desired_num_results
integer
required
is_exhausted
boolean
default:false
num_results_discovered
integer
default:0

Total number of company candidates discovered from search

num_results_enriched
integer
default:0

Number of candidates enriched with company profiles

num_results_evaluated
integer
default:0

Number of candidates that had criteria evaluation completed

num_results
integer
default:0

Total number of results

table_id
string | null
auto_data_sources
boolean
default:true
data_sources
enum<string>[] | null
Available options:
web_search,
linkedin,
maps
criteria
CriterionDefinition · object[] | null
exclude_domains
string[] | null

The resolved, sorted list of registered domains that were excluded from this run (union of exclude_domains and the visible results of exclude_task_ids at creation time). Capped at 1000.